<template>
  <div class="detail-dialog">
    <el-table
      border
      stripe
      :data="data">
      <el-table-column
        label="#"
        type="index"
      ></el-table-column>
      <el-table-column
        label="通关凭证"
      >
        <template slot-scope="props">
          <span>{{ props.row.checkType | bindType }}</span>
        </template>
      </el-table-column>
      <el-table-column
        label="通关类型"
        prop="check_direction"
      ></el-table-column>
      <el-table-column
        label="通关设备"
        prop="checker_device_name"
      ></el-table-column>
      <el-table-column
        label="通关时间"
      >
        <template slot-scope="props">
          <span>{{ props.row.checkTime | formatTime }}</span>
        </template>
      </el-table-column>
    </el-table>
  </div>
</template>
<script>
export default {
  props: {
    data: {
      type: Array,
      default: () => []
    }
  },
  filters: {
    bindType (input) {
      switch (input) {
        case 'face':
          return '人脸'
        case 'finger':
          return '指纹'
        default:
          return ''
      }
    }
  }
}
</script>
